#[derive(Clone, Copy, Debug, Eq, Hash, PartialEq)]
pub enum AriaPropertiesEnum {
    AriaActivedescendant,
    AriaAtomic,
    AriaAutocomplete,
    AriaBusy,
    AriaChecked,
    AriaColcount,
    AriaColindex,
    AriaColspan,
    AriaControls,
    AriaCurrent,
    AriaDescribedby,
    AriaDetails,
    AriaDisabled,
    AriaDropeffect,
    AriaErrormessage,
    AriaExpanded,
    AriaFlowto,
    AriaGrabbed,
    AriaHaspopup,
    AriaHidden,
    AriaInvalid,
    AriaKeyshortcuts,
    AriaLabel,
    AriaLabelledby,
    AriaLevel,
    AriaLive,
    AriaModal,
    AriaMultiline,
    AriaMultiselectable,
    AriaOrientation,
    AriaOwns,
    AriaPlaceholder,
    AriaPosinset,
    AriaPressed,
    AriaReadonly,
    AriaRelevant,
    AriaRequired,
    AriaRoledescription,
    AriaRowcount,
    AriaRowindex,
    AriaRowspan,
    AriaSelected,
    AriaSetsize,
    AriaSort,
    AriaValuemax,
    AriaValuemin,
    AriaValuenow,
    AriaValuetext,
}
impl std::str::FromStr for AriaPropertiesEnum {
    type Err = String;
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "aria-activedescendant" => Ok(AriaPropertiesEnum::AriaActivedescendant),
            "aria-atomic" => Ok(AriaPropertiesEnum::AriaAtomic),
            "aria-autocomplete" => Ok(AriaPropertiesEnum::AriaAutocomplete),
            "aria-busy" => Ok(AriaPropertiesEnum::AriaBusy),
            "aria-checked" => Ok(AriaPropertiesEnum::AriaChecked),
            "aria-colcount" => Ok(AriaPropertiesEnum::AriaColcount),
            "aria-colindex" => Ok(AriaPropertiesEnum::AriaColindex),
            "aria-colspan" => Ok(AriaPropertiesEnum::AriaColspan),
            "aria-controls" => Ok(AriaPropertiesEnum::AriaControls),
            "aria-current" => Ok(AriaPropertiesEnum::AriaCurrent),
            "aria-describedby" => Ok(AriaPropertiesEnum::AriaDescribedby),
            "aria-details" => Ok(AriaPropertiesEnum::AriaDetails),
            "aria-disabled" => Ok(AriaPropertiesEnum::AriaDisabled),
            "aria-dropeffect" => Ok(AriaPropertiesEnum::AriaDropeffect),
            "aria-errormessage" => Ok(AriaPropertiesEnum::AriaErrormessage),
            "aria-expanded" => Ok(AriaPropertiesEnum::AriaExpanded),
            "aria-flowto" => Ok(AriaPropertiesEnum::AriaFlowto),
            "aria-grabbed" => Ok(AriaPropertiesEnum::AriaGrabbed),
            "aria-haspopup" => Ok(AriaPropertiesEnum::AriaHaspopup),
            "aria-hidden" => Ok(AriaPropertiesEnum::AriaHidden),
            "aria-invalid" => Ok(AriaPropertiesEnum::AriaInvalid),
            "aria-keyshortcuts" => Ok(AriaPropertiesEnum::AriaKeyshortcuts),
            "aria-label" => Ok(AriaPropertiesEnum::AriaLabel),
            "aria-labelledby" => Ok(AriaPropertiesEnum::AriaLabelledby),
            "aria-level" => Ok(AriaPropertiesEnum::AriaLevel),
            "aria-live" => Ok(AriaPropertiesEnum::AriaLive),
            "aria-modal" => Ok(AriaPropertiesEnum::AriaModal),
            "aria-multiline" => Ok(AriaPropertiesEnum::AriaMultiline),
            "aria-multiselectable" => Ok(AriaPropertiesEnum::AriaMultiselectable),
            "aria-orientation" => Ok(AriaPropertiesEnum::AriaOrientation),
            "aria-owns" => Ok(AriaPropertiesEnum::AriaOwns),
            "aria-placeholder" => Ok(AriaPropertiesEnum::AriaPlaceholder),
            "aria-posinset" => Ok(AriaPropertiesEnum::AriaPosinset),
            "aria-pressed" => Ok(AriaPropertiesEnum::AriaPressed),
            "aria-readonly" => Ok(AriaPropertiesEnum::AriaReadonly),
            "aria-relevant" => Ok(AriaPropertiesEnum::AriaRelevant),
            "aria-required" => Ok(AriaPropertiesEnum::AriaRequired),
            "aria-roledescription" => Ok(AriaPropertiesEnum::AriaRoledescription),
            "aria-rowcount" => Ok(AriaPropertiesEnum::AriaRowcount),
            "aria-rowindex" => Ok(AriaPropertiesEnum::AriaRowindex),
            "aria-rowspan" => Ok(AriaPropertiesEnum::AriaRowspan),
            "aria-selected" => Ok(AriaPropertiesEnum::AriaSelected),
            "aria-setsize" => Ok(AriaPropertiesEnum::AriaSetsize),
            "aria-sort" => Ok(AriaPropertiesEnum::AriaSort),
            "aria-valuemax" => Ok(AriaPropertiesEnum::AriaValuemax),
            "aria-valuemin" => Ok(AriaPropertiesEnum::AriaValuemin),
            "aria-valuenow" => Ok(AriaPropertiesEnum::AriaValuenow),
            "aria-valuetext" => Ok(AriaPropertiesEnum::AriaValuetext),
            _ => Err("aria property not implemented".to_string()),
        }
    }
}
impl AriaPropertiesEnum {
    pub fn as_str(&self) -> &str {
        match self {
            AriaPropertiesEnum::AriaActivedescendant => "aria-activedescendant",
            AriaPropertiesEnum::AriaAtomic => "aria-atomic",
            AriaPropertiesEnum::AriaAutocomplete => "aria-autocomplete",
            AriaPropertiesEnum::AriaBusy => "aria-busy",
            AriaPropertiesEnum::AriaChecked => "aria-checked",
            AriaPropertiesEnum::AriaColcount => "aria-colcount",
            AriaPropertiesEnum::AriaColindex => "aria-colindex",
            AriaPropertiesEnum::AriaColspan => "aria-colspan",
            AriaPropertiesEnum::AriaControls => "aria-controls",
            AriaPropertiesEnum::AriaCurrent => "aria-current",
            AriaPropertiesEnum::AriaDescribedby => "aria-describedby",
            AriaPropertiesEnum::AriaDetails => "aria-details",
            AriaPropertiesEnum::AriaDisabled => "aria-disabled",
            AriaPropertiesEnum::AriaDropeffect => "aria-dropeffect",
            AriaPropertiesEnum::AriaErrormessage => "aria-errormessage",
            AriaPropertiesEnum::AriaExpanded => "aria-expanded",
            AriaPropertiesEnum::AriaFlowto => "aria-flowto",
            AriaPropertiesEnum::AriaGrabbed => "aria-grabbed",
            AriaPropertiesEnum::AriaHaspopup => "aria-haspopup",
            AriaPropertiesEnum::AriaHidden => "aria-hidden",
            AriaPropertiesEnum::AriaInvalid => "aria-invalid",
            AriaPropertiesEnum::AriaKeyshortcuts => "aria-keyshortcuts",
            AriaPropertiesEnum::AriaLabel => "aria-label",
            AriaPropertiesEnum::AriaLabelledby => "aria-labelledby",
            AriaPropertiesEnum::AriaLevel => "aria-level",
            AriaPropertiesEnum::AriaLive => "aria-live",
            AriaPropertiesEnum::AriaModal => "aria-modal",
            AriaPropertiesEnum::AriaMultiline => "aria-multiline",
            AriaPropertiesEnum::AriaMultiselectable => "aria-multiselectable",
            AriaPropertiesEnum::AriaOrientation => "aria-orientation",
            AriaPropertiesEnum::AriaOwns => "aria-owns",
            AriaPropertiesEnum::AriaPlaceholder => "aria-placeholder",
            AriaPropertiesEnum::AriaPosinset => "aria-posinset",
            AriaPropertiesEnum::AriaPressed => "aria-pressed",
            AriaPropertiesEnum::AriaReadonly => "aria-readonly",
            AriaPropertiesEnum::AriaRelevant => "aria-relevant",
            AriaPropertiesEnum::AriaRequired => "aria-required",
            AriaPropertiesEnum::AriaRoledescription => "aria-roledescription",
            AriaPropertiesEnum::AriaRowcount => "aria-rowcount",
            AriaPropertiesEnum::AriaRowindex => "aria-rowindex",
            AriaPropertiesEnum::AriaRowspan => "aria-rowspan",
            AriaPropertiesEnum::AriaSelected => "aria-selected",
            AriaPropertiesEnum::AriaSetsize => "aria-setsize",
            AriaPropertiesEnum::AriaSort => "aria-sort",
            AriaPropertiesEnum::AriaValuemax => "aria-valuemax",
            AriaPropertiesEnum::AriaValuemin => "aria-valuemin",
            AriaPropertiesEnum::AriaValuenow => "aria-valuenow",
            AriaPropertiesEnum::AriaValuetext => "aria-valuetext",
        }
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, PartialEq)]
pub enum AriaAbstractRolesEnum {
    Command,
    Composite,
    Input,
    Landmark,
    Range,
    Roletype,
    Section,
    Sectionhead,
    Select,
    Structure,
    Widget,
    Window,
}
impl std::str::FromStr for AriaAbstractRolesEnum {
    type Err = String;
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "command" => Ok(AriaAbstractRolesEnum::Command),
            "composite" => Ok(AriaAbstractRolesEnum::Composite),
            "input" => Ok(AriaAbstractRolesEnum::Input),
            "landmark" => Ok(AriaAbstractRolesEnum::Landmark),
            "range" => Ok(AriaAbstractRolesEnum::Range),
            "roletype" => Ok(AriaAbstractRolesEnum::Roletype),
            "section" => Ok(AriaAbstractRolesEnum::Section),
            "sectionhead" => Ok(AriaAbstractRolesEnum::Sectionhead),
            "select" => Ok(AriaAbstractRolesEnum::Select),
            "structure" => Ok(AriaAbstractRolesEnum::Structure),
            "widget" => Ok(AriaAbstractRolesEnum::Widget),
            "window" => Ok(AriaAbstractRolesEnum::Window),
            _ => Err("aria property not implemented".to_string()),
        }
    }
}
impl AriaAbstractRolesEnum {
    pub fn as_str(&self) -> &str {
        match self {
            AriaAbstractRolesEnum::Command => "command",
            AriaAbstractRolesEnum::Composite => "composite",
            AriaAbstractRolesEnum::Input => "input",
            AriaAbstractRolesEnum::Landmark => "landmark",
            AriaAbstractRolesEnum::Range => "range",
            AriaAbstractRolesEnum::Roletype => "roletype",
            AriaAbstractRolesEnum::Section => "section",
            AriaAbstractRolesEnum::Sectionhead => "sectionhead",
            AriaAbstractRolesEnum::Select => "select",
            AriaAbstractRolesEnum::Structure => "structure",
            AriaAbstractRolesEnum::Widget => "widget",
            AriaAbstractRolesEnum::Window => "window",
        }
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, PartialEq)]
pub enum AriaDocumentStructureRolesEnum {
    Alert,
    Alertdialog,
    Application,
    Article,
    Banner,
    Blockquote,
    Caption,
    Cell,
    Code,
    Columnheader,
    Complementary,
    Contentinfo,
    Definition,
    Deletion,
    Directory,
    Document,
    Emphasis,
    Feed,
    Figure,
    Form,
    Generic,
    Grid,
    Gridcell,
    Group,
    Heading,
    Img,
    Insertion,
    Landmark,
    List,
    Listbox,
    Listitem,
    Log,
    Main,
    Marquee,
    Math,
    Menu,
    Menubar,
    Meter,
    Navigation,
    Note,
    Paragraph,
    Presentation,
    Progressbar,
    Radiogroup,
    Range,
    Region,
    Row,
    Rowgroup,
    Rowheader,
    Scrollbar,
    Search,
    Section,
    Sectionhead,
    Select,
    Separator,
    Slider,
    Spinbutton,
    Status,
    Strong,
    Subscript,
    Superscript,
    Tab,
    Table,
    Tabpanel,
    Term,
    Time,
    Timer,
    Toolbar,
    Tooltip,
    Tree,
    Treegrid,
    Treeitem,
}
impl std::str::FromStr for AriaDocumentStructureRolesEnum {
    type Err = String;
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "alert" => Ok(AriaDocumentStructureRolesEnum::Alert),
            "alertdialog" => Ok(AriaDocumentStructureRolesEnum::Alertdialog),
            "application" => Ok(AriaDocumentStructureRolesEnum::Application),
            "article" => Ok(AriaDocumentStructureRolesEnum::Article),
            "banner" => Ok(AriaDocumentStructureRolesEnum::Banner),
            "blockquote" => Ok(AriaDocumentStructureRolesEnum::Blockquote),
            "caption" => Ok(AriaDocumentStructureRolesEnum::Caption),
            "cell" => Ok(AriaDocumentStructureRolesEnum::Cell),
            "code" => Ok(AriaDocumentStructureRolesEnum::Code),
            "columnheader" => Ok(AriaDocumentStructureRolesEnum::Columnheader),
            "complementary" => Ok(AriaDocumentStructureRolesEnum::Complementary),
            "contentinfo" => Ok(AriaDocumentStructureRolesEnum::Contentinfo),
            "definition" => Ok(AriaDocumentStructureRolesEnum::Definition),
            "deletion" => Ok(AriaDocumentStructureRolesEnum::Deletion),
            "directory" => Ok(AriaDocumentStructureRolesEnum::Directory),
            "document" => Ok(AriaDocumentStructureRolesEnum::Document),
            "emphasis" => Ok(AriaDocumentStructureRolesEnum::Emphasis),
            "feed" => Ok(AriaDocumentStructureRolesEnum::Feed),
            "figure" => Ok(AriaDocumentStructureRolesEnum::Figure),
            "form" => Ok(AriaDocumentStructureRolesEnum::Form),
            "generic" => Ok(AriaDocumentStructureRolesEnum::Generic),
            "grid" => Ok(AriaDocumentStructureRolesEnum::Grid),
            "gridcell" => Ok(AriaDocumentStructureRolesEnum::Gridcell),
            "group" => Ok(AriaDocumentStructureRolesEnum::Group),
            "heading" => Ok(AriaDocumentStructureRolesEnum::Heading),
            "img" => Ok(AriaDocumentStructureRolesEnum::Img),
            "insertion" => Ok(AriaDocumentStructureRolesEnum::Insertion),
            "landmark" => Ok(AriaDocumentStructureRolesEnum::Landmark),
            "list" => Ok(AriaDocumentStructureRolesEnum::List),
            "listbox" => Ok(AriaDocumentStructureRolesEnum::Listbox),
            "listitem" => Ok(AriaDocumentStructureRolesEnum::Listitem),
            "log" => Ok(AriaDocumentStructureRolesEnum::Log),
            "main" => Ok(AriaDocumentStructureRolesEnum::Main),
            "marquee" => Ok(AriaDocumentStructureRolesEnum::Marquee),
            "math" => Ok(AriaDocumentStructureRolesEnum::Math),
            "menu" => Ok(AriaDocumentStructureRolesEnum::Menu),
            "menubar" => Ok(AriaDocumentStructureRolesEnum::Menubar),
            "meter" => Ok(AriaDocumentStructureRolesEnum::Meter),
            "navigation" => Ok(AriaDocumentStructureRolesEnum::Navigation),
            "note" => Ok(AriaDocumentStructureRolesEnum::Note),
            "paragraph" => Ok(AriaDocumentStructureRolesEnum::Paragraph),
            "presentation" => Ok(AriaDocumentStructureRolesEnum::Presentation),
            "progressbar" => Ok(AriaDocumentStructureRolesEnum::Progressbar),
            "radiogroup" => Ok(AriaDocumentStructureRolesEnum::Radiogroup),
            "range" => Ok(AriaDocumentStructureRolesEnum::Range),
            "region" => Ok(AriaDocumentStructureRolesEnum::Region),
            "row" => Ok(AriaDocumentStructureRolesEnum::Row),
            "rowgroup" => Ok(AriaDocumentStructureRolesEnum::Rowgroup),
            "rowheader" => Ok(AriaDocumentStructureRolesEnum::Rowheader),
            "scrollbar" => Ok(AriaDocumentStructureRolesEnum::Scrollbar),
            "search" => Ok(AriaDocumentStructureRolesEnum::Search),
            "section" => Ok(AriaDocumentStructureRolesEnum::Section),
            "sectionhead" => Ok(AriaDocumentStructureRolesEnum::Sectionhead),
            "select" => Ok(AriaDocumentStructureRolesEnum::Select),
            "separator" => Ok(AriaDocumentStructureRolesEnum::Separator),
            "slider" => Ok(AriaDocumentStructureRolesEnum::Slider),
            "spinbutton" => Ok(AriaDocumentStructureRolesEnum::Spinbutton),
            "status" => Ok(AriaDocumentStructureRolesEnum::Status),
            "strong" => Ok(AriaDocumentStructureRolesEnum::Strong),
            "subscript" => Ok(AriaDocumentStructureRolesEnum::Subscript),
            "superscript" => Ok(AriaDocumentStructureRolesEnum::Superscript),
            "tab" => Ok(AriaDocumentStructureRolesEnum::Tab),
            "table" => Ok(AriaDocumentStructureRolesEnum::Table),
            "tabpanel" => Ok(AriaDocumentStructureRolesEnum::Tabpanel),
            "term" => Ok(AriaDocumentStructureRolesEnum::Term),
            "time" => Ok(AriaDocumentStructureRolesEnum::Time),
            "timer" => Ok(AriaDocumentStructureRolesEnum::Timer),
            "toolbar" => Ok(AriaDocumentStructureRolesEnum::Toolbar),
            "tooltip" => Ok(AriaDocumentStructureRolesEnum::Tooltip),
            "tree" => Ok(AriaDocumentStructureRolesEnum::Tree),
            "treegrid" => Ok(AriaDocumentStructureRolesEnum::Treegrid),
            "treeitem" => Ok(AriaDocumentStructureRolesEnum::Treeitem),
            _ => Err("aria property not implemented".to_string()),
        }
    }
}
impl AriaDocumentStructureRolesEnum {
    pub fn as_str(&self) -> &str {
        match self {
            AriaDocumentStructureRolesEnum::Alert => "alert",
            AriaDocumentStructureRolesEnum::Alertdialog => "alertdialog",
            AriaDocumentStructureRolesEnum::Application => "application",
            AriaDocumentStructureRolesEnum::Article => "article",
            AriaDocumentStructureRolesEnum::Banner => "banner",
            AriaDocumentStructureRolesEnum::Blockquote => "blockquote",
            AriaDocumentStructureRolesEnum::Caption => "caption",
            AriaDocumentStructureRolesEnum::Cell => "cell",
            AriaDocumentStructureRolesEnum::Code => "code",
            AriaDocumentStructureRolesEnum::Columnheader => "columnheader",
            AriaDocumentStructureRolesEnum::Complementary => "complementary",
            AriaDocumentStructureRolesEnum::Contentinfo => "contentinfo",
            AriaDocumentStructureRolesEnum::Definition => "definition",
            AriaDocumentStructureRolesEnum::Deletion => "deletion",
            AriaDocumentStructureRolesEnum::Directory => "directory",
            AriaDocumentStructureRolesEnum::Document => "document",
            AriaDocumentStructureRolesEnum::Emphasis => "emphasis",
            AriaDocumentStructureRolesEnum::Feed => "feed",
            AriaDocumentStructureRolesEnum::Figure => "figure",
            AriaDocumentStructureRolesEnum::Form => "form",
            AriaDocumentStructureRolesEnum::Generic => "generic",
            AriaDocumentStructureRolesEnum::Grid => "grid",
            AriaDocumentStructureRolesEnum::Gridcell => "gridcell",
            AriaDocumentStructureRolesEnum::Group => "group",
            AriaDocumentStructureRolesEnum::Heading => "heading",
            AriaDocumentStructureRolesEnum::Img => "img",
            AriaDocumentStructureRolesEnum::Insertion => "insertion",
            AriaDocumentStructureRolesEnum::Landmark => "landmark",
            AriaDocumentStructureRolesEnum::List => "list",
            AriaDocumentStructureRolesEnum::Listbox => "listbox",
            AriaDocumentStructureRolesEnum::Listitem => "listitem",
            AriaDocumentStructureRolesEnum::Log => "log",
            AriaDocumentStructureRolesEnum::Main => "main",
            AriaDocumentStructureRolesEnum::Marquee => "marquee",
            AriaDocumentStructureRolesEnum::Math => "math",
            AriaDocumentStructureRolesEnum::Menu => "menu",
            AriaDocumentStructureRolesEnum::Menubar => "menubar",
            AriaDocumentStructureRolesEnum::Meter => "meter",
            AriaDocumentStructureRolesEnum::Navigation => "navigation",
            AriaDocumentStructureRolesEnum::Note => "note",
            AriaDocumentStructureRolesEnum::Paragraph => "paragraph",
            AriaDocumentStructureRolesEnum::Presentation => "presentation",
            AriaDocumentStructureRolesEnum::Progressbar => "progressbar",
            AriaDocumentStructureRolesEnum::Radiogroup => "radiogroup",
            AriaDocumentStructureRolesEnum::Range => "range",
            AriaDocumentStructureRolesEnum::Region => "region",
            AriaDocumentStructureRolesEnum::Row => "row",
            AriaDocumentStructureRolesEnum::Rowgroup => "rowgroup",
            AriaDocumentStructureRolesEnum::Rowheader => "rowheader",
            AriaDocumentStructureRolesEnum::Scrollbar => "scrollbar",
            AriaDocumentStructureRolesEnum::Search => "search",
            AriaDocumentStructureRolesEnum::Section => "section",
            AriaDocumentStructureRolesEnum::Sectionhead => "sectionhead",
            AriaDocumentStructureRolesEnum::Select => "select",
            AriaDocumentStructureRolesEnum::Separator => "separator",
            AriaDocumentStructureRolesEnum::Slider => "slider",
            AriaDocumentStructureRolesEnum::Spinbutton => "spinbutton",
            AriaDocumentStructureRolesEnum::Status => "status",
            AriaDocumentStructureRolesEnum::Strong => "strong",
            AriaDocumentStructureRolesEnum::Subscript => "subscript",
            AriaDocumentStructureRolesEnum::Superscript => "superscript",
            AriaDocumentStructureRolesEnum::Tab => "tab",
            AriaDocumentStructureRolesEnum::Table => "table",
            AriaDocumentStructureRolesEnum::Tabpanel => "tabpanel",
            AriaDocumentStructureRolesEnum::Term => "term",
            AriaDocumentStructureRolesEnum::Time => "time",
            AriaDocumentStructureRolesEnum::Timer => "timer",
            AriaDocumentStructureRolesEnum::Toolbar => "toolbar",
            AriaDocumentStructureRolesEnum::Tooltip => "tooltip",
            AriaDocumentStructureRolesEnum::Tree => "tree",
            AriaDocumentStructureRolesEnum::Treegrid => "treegrid",
            AriaDocumentStructureRolesEnum::Treeitem => "treeitem",
        }
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, PartialEq)]
pub enum AriaWidgetRolesEnum {
    Button,
    Checkbox,
    Columnheader,
    Combobox,
    Command,
    Composite,
    Grid,
    Gridcell,
    Input,
    Link,
    Listbox,
    Menu,
    Menubar,
    Menuitem,
    Menuitemcheckbox,
    Menuitemradio,
    Option,
    Progressbar,
    Radio,
    Radiogroup,
    Row,
    Rowheader,
    Scrollbar,
    Searchbox,
    Select,
    Separator,
    Slider,
    Spinbutton,
    Switch,
    Tab,
    Tablist,
    Textbox,
    Tree,
    Treegrid,
    Treeitem,
}
impl std::str::FromStr for AriaWidgetRolesEnum {
    type Err = String;
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "button" => Ok(AriaWidgetRolesEnum::Button),
            "checkbox" => Ok(AriaWidgetRolesEnum::Checkbox),
            "columnheader" => Ok(AriaWidgetRolesEnum::Columnheader),
            "combobox" => Ok(AriaWidgetRolesEnum::Combobox),
            "command" => Ok(AriaWidgetRolesEnum::Command),
            "composite" => Ok(AriaWidgetRolesEnum::Composite),
            "grid" => Ok(AriaWidgetRolesEnum::Grid),
            "gridcell" => Ok(AriaWidgetRolesEnum::Gridcell),
            "input" => Ok(AriaWidgetRolesEnum::Input),
            "link" => Ok(AriaWidgetRolesEnum::Link),
            "listbox" => Ok(AriaWidgetRolesEnum::Listbox),
            "menu" => Ok(AriaWidgetRolesEnum::Menu),
            "menubar" => Ok(AriaWidgetRolesEnum::Menubar),
            "menuitem" => Ok(AriaWidgetRolesEnum::Menuitem),
            "menuitemcheckbox" => Ok(AriaWidgetRolesEnum::Menuitemcheckbox),
            "menuitemradio" => Ok(AriaWidgetRolesEnum::Menuitemradio),
            "option" => Ok(AriaWidgetRolesEnum::Option),
            "progressbar" => Ok(AriaWidgetRolesEnum::Progressbar),
            "radio" => Ok(AriaWidgetRolesEnum::Radio),
            "radiogroup" => Ok(AriaWidgetRolesEnum::Radiogroup),
            "row" => Ok(AriaWidgetRolesEnum::Row),
            "rowheader" => Ok(AriaWidgetRolesEnum::Rowheader),
            "scrollbar" => Ok(AriaWidgetRolesEnum::Scrollbar),
            "searchbox" => Ok(AriaWidgetRolesEnum::Searchbox),
            "select" => Ok(AriaWidgetRolesEnum::Select),
            "separator" => Ok(AriaWidgetRolesEnum::Separator),
            "slider" => Ok(AriaWidgetRolesEnum::Slider),
            "spinbutton" => Ok(AriaWidgetRolesEnum::Spinbutton),
            "switch" => Ok(AriaWidgetRolesEnum::Switch),
            "tab" => Ok(AriaWidgetRolesEnum::Tab),
            "tablist" => Ok(AriaWidgetRolesEnum::Tablist),
            "textbox" => Ok(AriaWidgetRolesEnum::Textbox),
            "tree" => Ok(AriaWidgetRolesEnum::Tree),
            "treegrid" => Ok(AriaWidgetRolesEnum::Treegrid),
            "treeitem" => Ok(AriaWidgetRolesEnum::Treeitem),
            _ => Err("aria property not implemented".to_string()),
        }
    }
}
impl AriaWidgetRolesEnum {
    pub fn as_str(&self) -> &str {
        match self {
            AriaWidgetRolesEnum::Button => "button",
            AriaWidgetRolesEnum::Checkbox => "checkbox",
            AriaWidgetRolesEnum::Columnheader => "columnheader",
            AriaWidgetRolesEnum::Combobox => "combobox",
            AriaWidgetRolesEnum::Command => "command",
            AriaWidgetRolesEnum::Composite => "composite",
            AriaWidgetRolesEnum::Grid => "grid",
            AriaWidgetRolesEnum::Gridcell => "gridcell",
            AriaWidgetRolesEnum::Input => "input",
            AriaWidgetRolesEnum::Link => "link",
            AriaWidgetRolesEnum::Listbox => "listbox",
            AriaWidgetRolesEnum::Menu => "menu",
            AriaWidgetRolesEnum::Menubar => "menubar",
            AriaWidgetRolesEnum::Menuitem => "menuitem",
            AriaWidgetRolesEnum::Menuitemcheckbox => "menuitemcheckbox",
            AriaWidgetRolesEnum::Menuitemradio => "menuitemradio",
            AriaWidgetRolesEnum::Option => "option",
            AriaWidgetRolesEnum::Progressbar => "progressbar",
            AriaWidgetRolesEnum::Radio => "radio",
            AriaWidgetRolesEnum::Radiogroup => "radiogroup",
            AriaWidgetRolesEnum::Row => "row",
            AriaWidgetRolesEnum::Rowheader => "rowheader",
            AriaWidgetRolesEnum::Scrollbar => "scrollbar",
            AriaWidgetRolesEnum::Searchbox => "searchbox",
            AriaWidgetRolesEnum::Select => "select",
            AriaWidgetRolesEnum::Separator => "separator",
            AriaWidgetRolesEnum::Slider => "slider",
            AriaWidgetRolesEnum::Spinbutton => "spinbutton",
            AriaWidgetRolesEnum::Switch => "switch",
            AriaWidgetRolesEnum::Tab => "tab",
            AriaWidgetRolesEnum::Tablist => "tablist",
            AriaWidgetRolesEnum::Textbox => "textbox",
            AriaWidgetRolesEnum::Tree => "tree",
            AriaWidgetRolesEnum::Treegrid => "treegrid",
            AriaWidgetRolesEnum::Treeitem => "treeitem",
        }
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, PartialEq)]
pub enum IsoCountries {
    Af,
    Al,
    Dz,
    As,
    Ad,
    Ao,
    Ai,
    Aq,
    Ag,
    Ar,
    Am,
    Aw,
    Au,
    At,
    Az,
    Bs,
    Bh,
    Bd,
    Bb,
    By,
    Be,
    Bz,
    Bj,
    Bm,
    Bt,
    Bo,
    Ba,
    Bw,
    Br,
    Io,
    Vg,
    Bn,
    Bg,
    Bf,
    Mm,
    Bi,
    Kh,
    Cm,
    Ca,
    Cv,
    Ky,
    Cf,
    Td,
    Cl,
    Cn,
    Cx,
    Cc,
    Co,
    Km,
    Ck,
    Cr,
    Hr,
    Cu,
    Cy,
    Cz,
    Cd,
    Dk,
    Dj,
    Dm,
    Do,
    Ec,
    Eg,
    Sv,
    Gq,
    Er,
    Ee,
    Et,
    Fk,
    Fo,
    Fj,
    Fi,
    Fr,
    Pf,
    Ga,
    Gm,
    Ge,
    De,
    Gh,
    Gi,
    Gr,
    Gl,
    Gd,
    Gu,
    Gt,
    Gn,
    Gw,
    Gy,
    Ht,
    Va,
    Hn,
    Hk,
    Hu,
    Is,
    In,
    Id,
    Ir,
    Iq,
    Ie,
    Im,
    Il,
    It,
    Ci,
    Jm,
    Jp,
    Je,
    Jo,
    Kz,
    Ke,
    Ki,
    Kw,
    Kg,
    La,
    Lv,
    Lb,
    Ls,
    Lr,
    Ly,
    Li,
    Lt,
    Lu,
    Mo,
    Mk,
    Mg,
    Mw,
    My,
    Mv,
    Ml,
    Mt,
    Mh,
    Mr,
    Mu,
    Yt,
    Mx,
    Fm,
    Md,
    Mc,
    Mn,
    Me,
    Ms,
    Ma,
    Mz,
    Na,
    Nr,
    Np,
    Nl,
    An,
    Nc,
    Nz,
    Ni,
    Ne,
    Ng,
    Nu,
    Kp,
    Mp,
    No,
    Om,
    Pk,
    Pw,
    Pa,
    Pg,
    Py,
    Pe,
    Ph,
    Pn,
    Pl,
    Pt,
    Pr,
    Qa,
    Cg,
    Ro,
    Ru,
    Rw,
    Bl,
    Sh,
    Kn,
    Lc,
    Mf,
    Pm,
    Vc,
    Ws,
    Sm,
    St,
    Sa,
    Sn,
    Rs,
    Sc,
    Sl,
    Sg,
    Sk,
    Si,
    Sb,
    So,
    Za,
    Kr,
    Es,
    Lk,
    Sd,
    Sr,
    Sj,
    Sz,
    Se,
    Ch,
    Sy,
    Tw,
    Tj,
    Tz,
    Th,
    Tl,
    Tg,
    Tk,
    To,
    Tt,
    Tn,
    Tr,
    Tm,
    Tc,
    Tv,
    Ug,
    Ua,
    Ae,
    Gb,
    Us,
    Uy,
    Vi,
    Uz,
    Vu,
    Ve,
    Vn,
    Wf,
    Eh,
    Ye,
    Zm,
    Zw,
}
impl std::str::FromStr for IsoCountries {
    type Err = String;
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "AF" => Ok(IsoCountries::Af),
            "AL" => Ok(IsoCountries::Al),
            "DZ" => Ok(IsoCountries::Dz),
            "AS" => Ok(IsoCountries::As),
            "AD" => Ok(IsoCountries::Ad),
            "AO" => Ok(IsoCountries::Ao),
            "AI" => Ok(IsoCountries::Ai),
            "AQ" => Ok(IsoCountries::Aq),
            "AG" => Ok(IsoCountries::Ag),
            "AR" => Ok(IsoCountries::Ar),
            "AM" => Ok(IsoCountries::Am),
            "AW" => Ok(IsoCountries::Aw),
            "AU" => Ok(IsoCountries::Au),
            "AT" => Ok(IsoCountries::At),
            "AZ" => Ok(IsoCountries::Az),
            "BS" => Ok(IsoCountries::Bs),
            "BH" => Ok(IsoCountries::Bh),
            "BD" => Ok(IsoCountries::Bd),
            "BB" => Ok(IsoCountries::Bb),
            "BY" => Ok(IsoCountries::By),
            "BE" => Ok(IsoCountries::Be),
            "BZ" => Ok(IsoCountries::Bz),
            "BJ" => Ok(IsoCountries::Bj),
            "BM" => Ok(IsoCountries::Bm),
            "BT" => Ok(IsoCountries::Bt),
            "BO" => Ok(IsoCountries::Bo),
            "BA" => Ok(IsoCountries::Ba),
            "BW" => Ok(IsoCountries::Bw),
            "BR" => Ok(IsoCountries::Br),
            "IO" => Ok(IsoCountries::Io),
            "VG" => Ok(IsoCountries::Vg),
            "BN" => Ok(IsoCountries::Bn),
            "BG" => Ok(IsoCountries::Bg),
            "BF" => Ok(IsoCountries::Bf),
            "MM" => Ok(IsoCountries::Mm),
            "BI" => Ok(IsoCountries::Bi),
            "KH" => Ok(IsoCountries::Kh),
            "CM" => Ok(IsoCountries::Cm),
            "CA" => Ok(IsoCountries::Ca),
            "CV" => Ok(IsoCountries::Cv),
            "KY" => Ok(IsoCountries::Ky),
            "CF" => Ok(IsoCountries::Cf),
            "TD" => Ok(IsoCountries::Td),
            "CL" => Ok(IsoCountries::Cl),
            "CN" => Ok(IsoCountries::Cn),
            "CX" => Ok(IsoCountries::Cx),
            "CC" => Ok(IsoCountries::Cc),
            "CO" => Ok(IsoCountries::Co),
            "KM" => Ok(IsoCountries::Km),
            "CK" => Ok(IsoCountries::Ck),
            "CR" => Ok(IsoCountries::Cr),
            "HR" => Ok(IsoCountries::Hr),
            "CU" => Ok(IsoCountries::Cu),
            "CY" => Ok(IsoCountries::Cy),
            "CZ" => Ok(IsoCountries::Cz),
            "CD" => Ok(IsoCountries::Cd),
            "DK" => Ok(IsoCountries::Dk),
            "DJ" => Ok(IsoCountries::Dj),
            "DM" => Ok(IsoCountries::Dm),
            "DO" => Ok(IsoCountries::Do),
            "EC" => Ok(IsoCountries::Ec),
            "EG" => Ok(IsoCountries::Eg),
            "SV" => Ok(IsoCountries::Sv),
            "GQ" => Ok(IsoCountries::Gq),
            "ER" => Ok(IsoCountries::Er),
            "EE" => Ok(IsoCountries::Ee),
            "ET" => Ok(IsoCountries::Et),
            "FK" => Ok(IsoCountries::Fk),
            "FO" => Ok(IsoCountries::Fo),
            "FJ" => Ok(IsoCountries::Fj),
            "FI" => Ok(IsoCountries::Fi),
            "FR" => Ok(IsoCountries::Fr),
            "PF" => Ok(IsoCountries::Pf),
            "GA" => Ok(IsoCountries::Ga),
            "GM" => Ok(IsoCountries::Gm),
            "GE" => Ok(IsoCountries::Ge),
            "DE" => Ok(IsoCountries::De),
            "GH" => Ok(IsoCountries::Gh),
            "GI" => Ok(IsoCountries::Gi),
            "GR" => Ok(IsoCountries::Gr),
            "GL" => Ok(IsoCountries::Gl),
            "GD" => Ok(IsoCountries::Gd),
            "GU" => Ok(IsoCountries::Gu),
            "GT" => Ok(IsoCountries::Gt),
            "GN" => Ok(IsoCountries::Gn),
            "GW" => Ok(IsoCountries::Gw),
            "GY" => Ok(IsoCountries::Gy),
            "HT" => Ok(IsoCountries::Ht),
            "VA" => Ok(IsoCountries::Va),
            "HN" => Ok(IsoCountries::Hn),
            "HK" => Ok(IsoCountries::Hk),
            "HU" => Ok(IsoCountries::Hu),
            "IS" => Ok(IsoCountries::Is),
            "IN" => Ok(IsoCountries::In),
            "ID" => Ok(IsoCountries::Id),
            "IR" => Ok(IsoCountries::Ir),
            "IQ" => Ok(IsoCountries::Iq),
            "IE" => Ok(IsoCountries::Ie),
            "IM" => Ok(IsoCountries::Im),
            "IL" => Ok(IsoCountries::Il),
            "IT" => Ok(IsoCountries::It),
            "CI" => Ok(IsoCountries::Ci),
            "JM" => Ok(IsoCountries::Jm),
            "JP" => Ok(IsoCountries::Jp),
            "JE" => Ok(IsoCountries::Je),
            "JO" => Ok(IsoCountries::Jo),
            "KZ" => Ok(IsoCountries::Kz),
            "KE" => Ok(IsoCountries::Ke),
            "KI" => Ok(IsoCountries::Ki),
            "KW" => Ok(IsoCountries::Kw),
            "KG" => Ok(IsoCountries::Kg),
            "LA" => Ok(IsoCountries::La),
            "LV" => Ok(IsoCountries::Lv),
            "LB" => Ok(IsoCountries::Lb),
            "LS" => Ok(IsoCountries::Ls),
            "LR" => Ok(IsoCountries::Lr),
            "LY" => Ok(IsoCountries::Ly),
            "LI" => Ok(IsoCountries::Li),
            "LT" => Ok(IsoCountries::Lt),
            "LU" => Ok(IsoCountries::Lu),
            "MO" => Ok(IsoCountries::Mo),
            "MK" => Ok(IsoCountries::Mk),
            "MG" => Ok(IsoCountries::Mg),
            "MW" => Ok(IsoCountries::Mw),
            "MY" => Ok(IsoCountries::My),
            "MV" => Ok(IsoCountries::Mv),
            "ML" => Ok(IsoCountries::Ml),
            "MT" => Ok(IsoCountries::Mt),
            "MH" => Ok(IsoCountries::Mh),
            "MR" => Ok(IsoCountries::Mr),
            "MU" => Ok(IsoCountries::Mu),
            "YT" => Ok(IsoCountries::Yt),
            "MX" => Ok(IsoCountries::Mx),
            "FM" => Ok(IsoCountries::Fm),
            "MD" => Ok(IsoCountries::Md),
            "MC" => Ok(IsoCountries::Mc),
            "MN" => Ok(IsoCountries::Mn),
            "ME" => Ok(IsoCountries::Me),
            "MS" => Ok(IsoCountries::Ms),
            "MA" => Ok(IsoCountries::Ma),
            "MZ" => Ok(IsoCountries::Mz),
            "NA" => Ok(IsoCountries::Na),
            "NR" => Ok(IsoCountries::Nr),
            "NP" => Ok(IsoCountries::Np),
            "NL" => Ok(IsoCountries::Nl),
            "AN" => Ok(IsoCountries::An),
            "NC" => Ok(IsoCountries::Nc),
            "NZ" => Ok(IsoCountries::Nz),
            "NI" => Ok(IsoCountries::Ni),
            "NE" => Ok(IsoCountries::Ne),
            "NG" => Ok(IsoCountries::Ng),
            "NU" => Ok(IsoCountries::Nu),
            "KP" => Ok(IsoCountries::Kp),
            "MP" => Ok(IsoCountries::Mp),
            "NO" => Ok(IsoCountries::No),
            "OM" => Ok(IsoCountries::Om),
            "PK" => Ok(IsoCountries::Pk),
            "PW" => Ok(IsoCountries::Pw),
            "PA" => Ok(IsoCountries::Pa),
            "PG" => Ok(IsoCountries::Pg),
            "PY" => Ok(IsoCountries::Py),
            "PE" => Ok(IsoCountries::Pe),
            "PH" => Ok(IsoCountries::Ph),
            "PN" => Ok(IsoCountries::Pn),
            "PL" => Ok(IsoCountries::Pl),
            "PT" => Ok(IsoCountries::Pt),
            "PR" => Ok(IsoCountries::Pr),
            "QA" => Ok(IsoCountries::Qa),
            "CG" => Ok(IsoCountries::Cg),
            "RO" => Ok(IsoCountries::Ro),
            "RU" => Ok(IsoCountries::Ru),
            "RW" => Ok(IsoCountries::Rw),
            "BL" => Ok(IsoCountries::Bl),
            "SH" => Ok(IsoCountries::Sh),
            "KN" => Ok(IsoCountries::Kn),
            "LC" => Ok(IsoCountries::Lc),
            "MF" => Ok(IsoCountries::Mf),
            "PM" => Ok(IsoCountries::Pm),
            "VC" => Ok(IsoCountries::Vc),
            "WS" => Ok(IsoCountries::Ws),
            "SM" => Ok(IsoCountries::Sm),
            "ST" => Ok(IsoCountries::St),
            "SA" => Ok(IsoCountries::Sa),
            "SN" => Ok(IsoCountries::Sn),
            "RS" => Ok(IsoCountries::Rs),
            "SC" => Ok(IsoCountries::Sc),
            "SL" => Ok(IsoCountries::Sl),
            "SG" => Ok(IsoCountries::Sg),
            "SK" => Ok(IsoCountries::Sk),
            "SI" => Ok(IsoCountries::Si),
            "SB" => Ok(IsoCountries::Sb),
            "SO" => Ok(IsoCountries::So),
            "ZA" => Ok(IsoCountries::Za),
            "KR" => Ok(IsoCountries::Kr),
            "ES" => Ok(IsoCountries::Es),
            "LK" => Ok(IsoCountries::Lk),
            "SD" => Ok(IsoCountries::Sd),
            "SR" => Ok(IsoCountries::Sr),
            "SJ" => Ok(IsoCountries::Sj),
            "SZ" => Ok(IsoCountries::Sz),
            "SE" => Ok(IsoCountries::Se),
            "CH" => Ok(IsoCountries::Ch),
            "SY" => Ok(IsoCountries::Sy),
            "TW" => Ok(IsoCountries::Tw),
            "TJ" => Ok(IsoCountries::Tj),
            "TZ" => Ok(IsoCountries::Tz),
            "TH" => Ok(IsoCountries::Th),
            "TL" => Ok(IsoCountries::Tl),
            "TG" => Ok(IsoCountries::Tg),
            "TK" => Ok(IsoCountries::Tk),
            "TO" => Ok(IsoCountries::To),
            "TT" => Ok(IsoCountries::Tt),
            "TN" => Ok(IsoCountries::Tn),
            "TR" => Ok(IsoCountries::Tr),
            "TM" => Ok(IsoCountries::Tm),
            "TC" => Ok(IsoCountries::Tc),
            "TV" => Ok(IsoCountries::Tv),
            "UG" => Ok(IsoCountries::Ug),
            "UA" => Ok(IsoCountries::Ua),
            "AE" => Ok(IsoCountries::Ae),
            "GB" => Ok(IsoCountries::Gb),
            "US" => Ok(IsoCountries::Us),
            "UY" => Ok(IsoCountries::Uy),
            "VI" => Ok(IsoCountries::Vi),
            "UZ" => Ok(IsoCountries::Uz),
            "VU" => Ok(IsoCountries::Vu),
            "VE" => Ok(IsoCountries::Ve),
            "VN" => Ok(IsoCountries::Vn),
            "WF" => Ok(IsoCountries::Wf),
            "EH" => Ok(IsoCountries::Eh),
            "YE" => Ok(IsoCountries::Ye),
            "ZM" => Ok(IsoCountries::Zm),
            "ZW" => Ok(IsoCountries::Zw),
            _ => Err("aria property not implemented".to_string()),
        }
    }
}
impl IsoCountries {
    pub fn as_str(&self) -> &str {
        match self {
            IsoCountries::Af => "AF",
            IsoCountries::Al => "AL",
            IsoCountries::Dz => "DZ",
            IsoCountries::As => "AS",
            IsoCountries::Ad => "AD",
            IsoCountries::Ao => "AO",
            IsoCountries::Ai => "AI",
            IsoCountries::Aq => "AQ",
            IsoCountries::Ag => "AG",
            IsoCountries::Ar => "AR",
            IsoCountries::Am => "AM",
            IsoCountries::Aw => "AW",
            IsoCountries::Au => "AU",
            IsoCountries::At => "AT",
            IsoCountries::Az => "AZ",
            IsoCountries::Bs => "BS",
            IsoCountries::Bh => "BH",
            IsoCountries::Bd => "BD",
            IsoCountries::Bb => "BB",
            IsoCountries::By => "BY",
            IsoCountries::Be => "BE",
            IsoCountries::Bz => "BZ",
            IsoCountries::Bj => "BJ",
            IsoCountries::Bm => "BM",
            IsoCountries::Bt => "BT",
            IsoCountries::Bo => "BO",
            IsoCountries::Ba => "BA",
            IsoCountries::Bw => "BW",
            IsoCountries::Br => "BR",
            IsoCountries::Io => "IO",
            IsoCountries::Vg => "VG",
            IsoCountries::Bn => "BN",
            IsoCountries::Bg => "BG",
            IsoCountries::Bf => "BF",
            IsoCountries::Mm => "MM",
            IsoCountries::Bi => "BI",
            IsoCountries::Kh => "KH",
            IsoCountries::Cm => "CM",
            IsoCountries::Ca => "CA",
            IsoCountries::Cv => "CV",
            IsoCountries::Ky => "KY",
            IsoCountries::Cf => "CF",
            IsoCountries::Td => "TD",
            IsoCountries::Cl => "CL",
            IsoCountries::Cn => "CN",
            IsoCountries::Cx => "CX",
            IsoCountries::Cc => "CC",
            IsoCountries::Co => "CO",
            IsoCountries::Km => "KM",
            IsoCountries::Ck => "CK",
            IsoCountries::Cr => "CR",
            IsoCountries::Hr => "HR",
            IsoCountries::Cu => "CU",
            IsoCountries::Cy => "CY",
            IsoCountries::Cz => "CZ",
            IsoCountries::Cd => "CD",
            IsoCountries::Dk => "DK",
            IsoCountries::Dj => "DJ",
            IsoCountries::Dm => "DM",
            IsoCountries::Do => "DO",
            IsoCountries::Ec => "EC",
            IsoCountries::Eg => "EG",
            IsoCountries::Sv => "SV",
            IsoCountries::Gq => "GQ",
            IsoCountries::Er => "ER",
            IsoCountries::Ee => "EE",
            IsoCountries::Et => "ET",
            IsoCountries::Fk => "FK",
            IsoCountries::Fo => "FO",
            IsoCountries::Fj => "FJ",
            IsoCountries::Fi => "FI",
            IsoCountries::Fr => "FR",
            IsoCountries::Pf => "PF",
            IsoCountries::Ga => "GA",
            IsoCountries::Gm => "GM",
            IsoCountries::Ge => "GE",
            IsoCountries::De => "DE",
            IsoCountries::Gh => "GH",
            IsoCountries::Gi => "GI",
            IsoCountries::Gr => "GR",
            IsoCountries::Gl => "GL",
            IsoCountries::Gd => "GD",
            IsoCountries::Gu => "GU",
            IsoCountries::Gt => "GT",
            IsoCountries::Gn => "GN",
            IsoCountries::Gw => "GW",
            IsoCountries::Gy => "GY",
            IsoCountries::Ht => "HT",
            IsoCountries::Va => "VA",
            IsoCountries::Hn => "HN",
            IsoCountries::Hk => "HK",
            IsoCountries::Hu => "HU",
            IsoCountries::Is => "IS",
            IsoCountries::In => "IN",
            IsoCountries::Id => "ID",
            IsoCountries::Ir => "IR",
            IsoCountries::Iq => "IQ",
            IsoCountries::Ie => "IE",
            IsoCountries::Im => "IM",
            IsoCountries::Il => "IL",
            IsoCountries::It => "IT",
            IsoCountries::Ci => "CI",
            IsoCountries::Jm => "JM",
            IsoCountries::Jp => "JP",
            IsoCountries::Je => "JE",
            IsoCountries::Jo => "JO",
            IsoCountries::Kz => "KZ",
            IsoCountries::Ke => "KE",
            IsoCountries::Ki => "KI",
            IsoCountries::Kw => "KW",
            IsoCountries::Kg => "KG",
            IsoCountries::La => "LA",
            IsoCountries::Lv => "LV",
            IsoCountries::Lb => "LB",
            IsoCountries::Ls => "LS",
            IsoCountries::Lr => "LR",
            IsoCountries::Ly => "LY",
            IsoCountries::Li => "LI",
            IsoCountries::Lt => "LT",
            IsoCountries::Lu => "LU",
            IsoCountries::Mo => "MO",
            IsoCountries::Mk => "MK",
            IsoCountries::Mg => "MG",
            IsoCountries::Mw => "MW",
            IsoCountries::My => "MY",
            IsoCountries::Mv => "MV",
            IsoCountries::Ml => "ML",
            IsoCountries::Mt => "MT",
            IsoCountries::Mh => "MH",
            IsoCountries::Mr => "MR",
            IsoCountries::Mu => "MU",
            IsoCountries::Yt => "YT",
            IsoCountries::Mx => "MX",
            IsoCountries::Fm => "FM",
            IsoCountries::Md => "MD",
            IsoCountries::Mc => "MC",
            IsoCountries::Mn => "MN",
            IsoCountries::Me => "ME",
            IsoCountries::Ms => "MS",
            IsoCountries::Ma => "MA",
            IsoCountries::Mz => "MZ",
            IsoCountries::Na => "NA",
            IsoCountries::Nr => "NR",
            IsoCountries::Np => "NP",
            IsoCountries::Nl => "NL",
            IsoCountries::An => "AN",
            IsoCountries::Nc => "NC",
            IsoCountries::Nz => "NZ",
            IsoCountries::Ni => "NI",
            IsoCountries::Ne => "NE",
            IsoCountries::Ng => "NG",
            IsoCountries::Nu => "NU",
            IsoCountries::Kp => "KP",
            IsoCountries::Mp => "MP",
            IsoCountries::No => "NO",
            IsoCountries::Om => "OM",
            IsoCountries::Pk => "PK",
            IsoCountries::Pw => "PW",
            IsoCountries::Pa => "PA",
            IsoCountries::Pg => "PG",
            IsoCountries::Py => "PY",
            IsoCountries::Pe => "PE",
            IsoCountries::Ph => "PH",
            IsoCountries::Pn => "PN",
            IsoCountries::Pl => "PL",
            IsoCountries::Pt => "PT",
            IsoCountries::Pr => "PR",
            IsoCountries::Qa => "QA",
            IsoCountries::Cg => "CG",
            IsoCountries::Ro => "RO",
            IsoCountries::Ru => "RU",
            IsoCountries::Rw => "RW",
            IsoCountries::Bl => "BL",
            IsoCountries::Sh => "SH",
            IsoCountries::Kn => "KN",
            IsoCountries::Lc => "LC",
            IsoCountries::Mf => "MF",
            IsoCountries::Pm => "PM",
            IsoCountries::Vc => "VC",
            IsoCountries::Ws => "WS",
            IsoCountries::Sm => "SM",
            IsoCountries::St => "ST",
            IsoCountries::Sa => "SA",
            IsoCountries::Sn => "SN",
            IsoCountries::Rs => "RS",
            IsoCountries::Sc => "SC",
            IsoCountries::Sl => "SL",
            IsoCountries::Sg => "SG",
            IsoCountries::Sk => "SK",
            IsoCountries::Si => "SI",
            IsoCountries::Sb => "SB",
            IsoCountries::So => "SO",
            IsoCountries::Za => "ZA",
            IsoCountries::Kr => "KR",
            IsoCountries::Es => "ES",
            IsoCountries::Lk => "LK",
            IsoCountries::Sd => "SD",
            IsoCountries::Sr => "SR",
            IsoCountries::Sj => "SJ",
            IsoCountries::Sz => "SZ",
            IsoCountries::Se => "SE",
            IsoCountries::Ch => "CH",
            IsoCountries::Sy => "SY",
            IsoCountries::Tw => "TW",
            IsoCountries::Tj => "TJ",
            IsoCountries::Tz => "TZ",
            IsoCountries::Th => "TH",
            IsoCountries::Tl => "TL",
            IsoCountries::Tg => "TG",
            IsoCountries::Tk => "TK",
            IsoCountries::To => "TO",
            IsoCountries::Tt => "TT",
            IsoCountries::Tn => "TN",
            IsoCountries::Tr => "TR",
            IsoCountries::Tm => "TM",
            IsoCountries::Tc => "TC",
            IsoCountries::Tv => "TV",
            IsoCountries::Ug => "UG",
            IsoCountries::Ua => "UA",
            IsoCountries::Ae => "AE",
            IsoCountries::Gb => "GB",
            IsoCountries::Us => "US",
            IsoCountries::Uy => "UY",
            IsoCountries::Vi => "VI",
            IsoCountries::Uz => "UZ",
            IsoCountries::Vu => "VU",
            IsoCountries::Ve => "VE",
            IsoCountries::Vn => "VN",
            IsoCountries::Wf => "WF",
            IsoCountries::Eh => "EH",
            IsoCountries::Ye => "YE",
            IsoCountries::Zm => "ZM",
            IsoCountries::Zw => "ZW",
        }
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, PartialEq)]
pub enum IsoLanguages {
    Ab,
    Aa,
    Af,
    Sq,
    Am,
    Ar,
    An,
    Hy,
    As,
    Ay,
    Az,
    Ba,
    Eu,
    Bn,
    Dz,
    Bh,
    Bi,
    Br,
    Bg,
    My,
    Be,
    Km,
    Ca,
    Zh,
    ZhHans,
    ZhHant,
    Co,
    Hr,
    Cs,
    Da,
    Nl,
    En,
    Eo,
    Et,
    Fo,
    Fa,
    Fj,
    Fi,
    Fr,
    Fy,
    Gl,
    Gd,
    Gv,
    Ka,
    De,
    El,
    Kl,
    Gn,
    Gu,
    Ht,
    Ha,
    He,
    Iw,
    Hi,
    Hu,
    Is,
    Io,
    Id,
    In,
    Ia,
    Ie,
    Iu,
    Ik,
    Ga,
    It,
    Ja,
    Jv,
    Kn,
    Ks,
    Kk,
    Rw,
    Ky,
    Rn,
    Ko,
    Ku,
    Lo,
    La,
    Lv,
    Li,
    Ln,
    Lt,
    Mk,
    Mg,
    Ms,
    Ml,
    Mt,
    Mi,
    Mr,
    Mo,
    Mn,
    Na,
    Ne,
    No,
    Oc,
    Or,
    Om,
    Ps,
    Pl,
    Pt,
    Pa,
    Qu,
    Rm,
    Ro,
    Ru,
    Sm,
    Sg,
    Sa,
    Sr,
    Sh,
    St,
    Tn,
    Sn,
    Ii,
    Sd,
    Si,
    Ss,
    Sk,
    Sl,
    So,
    Es,
    Su,
    Sw,
    Sv,
    Tl,
    Tg,
    Ta,
    Tt,
    Te,
    Th,
    Bo,
    Ti,
    To,
    Ts,
    Tr,
    Tk,
    Tw,
    Ug,
    Uk,
    Ur,
    Uz,
    Vi,
    Vo,
    Wa,
    Cy,
    Wo,
    Xh,
    Yi,
    Ji,
    Yo,
    Zu,
}
impl std::str::FromStr for IsoLanguages {
    type Err = String;
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "ab" => Ok(IsoLanguages::Ab),
            "aa" => Ok(IsoLanguages::Aa),
            "af" => Ok(IsoLanguages::Af),
            "sq" => Ok(IsoLanguages::Sq),
            "am" => Ok(IsoLanguages::Am),
            "ar" => Ok(IsoLanguages::Ar),
            "an" => Ok(IsoLanguages::An),
            "hy" => Ok(IsoLanguages::Hy),
            "as" => Ok(IsoLanguages::As),
            "ay" => Ok(IsoLanguages::Ay),
            "az" => Ok(IsoLanguages::Az),
            "ba" => Ok(IsoLanguages::Ba),
            "eu" => Ok(IsoLanguages::Eu),
            "bn" => Ok(IsoLanguages::Bn),
            "dz" => Ok(IsoLanguages::Dz),
            "bh" => Ok(IsoLanguages::Bh),
            "bi" => Ok(IsoLanguages::Bi),
            "br" => Ok(IsoLanguages::Br),
            "bg" => Ok(IsoLanguages::Bg),
            "my" => Ok(IsoLanguages::My),
            "be" => Ok(IsoLanguages::Be),
            "km" => Ok(IsoLanguages::Km),
            "ca" => Ok(IsoLanguages::Ca),
            "zh" => Ok(IsoLanguages::Zh),
            "zh-Hans" => Ok(IsoLanguages::ZhHans),
            "zh-Hant" => Ok(IsoLanguages::ZhHant),
            "co" => Ok(IsoLanguages::Co),
            "hr" => Ok(IsoLanguages::Hr),
            "cs" => Ok(IsoLanguages::Cs),
            "da" => Ok(IsoLanguages::Da),
            "nl" => Ok(IsoLanguages::Nl),
            "en" => Ok(IsoLanguages::En),
            "eo" => Ok(IsoLanguages::Eo),
            "et" => Ok(IsoLanguages::Et),
            "fo" => Ok(IsoLanguages::Fo),
            "fa" => Ok(IsoLanguages::Fa),
            "fj" => Ok(IsoLanguages::Fj),
            "fi" => Ok(IsoLanguages::Fi),
            "fr" => Ok(IsoLanguages::Fr),
            "fy" => Ok(IsoLanguages::Fy),
            "gl" => Ok(IsoLanguages::Gl),
            "gd" => Ok(IsoLanguages::Gd),
            "gv" => Ok(IsoLanguages::Gv),
            "ka" => Ok(IsoLanguages::Ka),
            "de" => Ok(IsoLanguages::De),
            "el" => Ok(IsoLanguages::El),
            "kl" => Ok(IsoLanguages::Kl),
            "gn" => Ok(IsoLanguages::Gn),
            "gu" => Ok(IsoLanguages::Gu),
            "ht" => Ok(IsoLanguages::Ht),
            "ha" => Ok(IsoLanguages::Ha),
            "he" => Ok(IsoLanguages::He),
            "iw" => Ok(IsoLanguages::Iw),
            "hi" => Ok(IsoLanguages::Hi),
            "hu" => Ok(IsoLanguages::Hu),
            "is" => Ok(IsoLanguages::Is),
            "io" => Ok(IsoLanguages::Io),
            "id" => Ok(IsoLanguages::Id),
            "in" => Ok(IsoLanguages::In),
            "ia" => Ok(IsoLanguages::Ia),
            "ie" => Ok(IsoLanguages::Ie),
            "iu" => Ok(IsoLanguages::Iu),
            "ik" => Ok(IsoLanguages::Ik),
            "ga" => Ok(IsoLanguages::Ga),
            "it" => Ok(IsoLanguages::It),
            "ja" => Ok(IsoLanguages::Ja),
            "jv" => Ok(IsoLanguages::Jv),
            "kn" => Ok(IsoLanguages::Kn),
            "ks" => Ok(IsoLanguages::Ks),
            "kk" => Ok(IsoLanguages::Kk),
            "rw" => Ok(IsoLanguages::Rw),
            "ky" => Ok(IsoLanguages::Ky),
            "rn" => Ok(IsoLanguages::Rn),
            "ko" => Ok(IsoLanguages::Ko),
            "ku" => Ok(IsoLanguages::Ku),
            "lo" => Ok(IsoLanguages::Lo),
            "la" => Ok(IsoLanguages::La),
            "lv" => Ok(IsoLanguages::Lv),
            "li" => Ok(IsoLanguages::Li),
            "ln" => Ok(IsoLanguages::Ln),
            "lt" => Ok(IsoLanguages::Lt),
            "mk" => Ok(IsoLanguages::Mk),
            "mg" => Ok(IsoLanguages::Mg),
            "ms" => Ok(IsoLanguages::Ms),
            "ml" => Ok(IsoLanguages::Ml),
            "mt" => Ok(IsoLanguages::Mt),
            "mi" => Ok(IsoLanguages::Mi),
            "mr" => Ok(IsoLanguages::Mr),
            "mo" => Ok(IsoLanguages::Mo),
            "mn" => Ok(IsoLanguages::Mn),
            "na" => Ok(IsoLanguages::Na),
            "ne" => Ok(IsoLanguages::Ne),
            "no" => Ok(IsoLanguages::No),
            "oc" => Ok(IsoLanguages::Oc),
            "or" => Ok(IsoLanguages::Or),
            "om" => Ok(IsoLanguages::Om),
            "ps" => Ok(IsoLanguages::Ps),
            "pl" => Ok(IsoLanguages::Pl),
            "pt" => Ok(IsoLanguages::Pt),
            "pa" => Ok(IsoLanguages::Pa),
            "qu" => Ok(IsoLanguages::Qu),
            "rm" => Ok(IsoLanguages::Rm),
            "ro" => Ok(IsoLanguages::Ro),
            "ru" => Ok(IsoLanguages::Ru),
            "sm" => Ok(IsoLanguages::Sm),
            "sg" => Ok(IsoLanguages::Sg),
            "sa" => Ok(IsoLanguages::Sa),
            "sr" => Ok(IsoLanguages::Sr),
            "sh" => Ok(IsoLanguages::Sh),
            "st" => Ok(IsoLanguages::St),
            "tn" => Ok(IsoLanguages::Tn),
            "sn" => Ok(IsoLanguages::Sn),
            "ii" => Ok(IsoLanguages::Ii),
            "sd" => Ok(IsoLanguages::Sd),
            "si" => Ok(IsoLanguages::Si),
            "ss" => Ok(IsoLanguages::Ss),
            "sk" => Ok(IsoLanguages::Sk),
            "sl" => Ok(IsoLanguages::Sl),
            "so" => Ok(IsoLanguages::So),
            "es" => Ok(IsoLanguages::Es),
            "su" => Ok(IsoLanguages::Su),
            "sw" => Ok(IsoLanguages::Sw),
            "sv" => Ok(IsoLanguages::Sv),
            "tl" => Ok(IsoLanguages::Tl),
            "tg" => Ok(IsoLanguages::Tg),
            "ta" => Ok(IsoLanguages::Ta),
            "tt" => Ok(IsoLanguages::Tt),
            "te" => Ok(IsoLanguages::Te),
            "th" => Ok(IsoLanguages::Th),
            "bo" => Ok(IsoLanguages::Bo),
            "ti" => Ok(IsoLanguages::Ti),
            "to" => Ok(IsoLanguages::To),
            "ts" => Ok(IsoLanguages::Ts),
            "tr" => Ok(IsoLanguages::Tr),
            "tk" => Ok(IsoLanguages::Tk),
            "tw" => Ok(IsoLanguages::Tw),
            "ug" => Ok(IsoLanguages::Ug),
            "uk" => Ok(IsoLanguages::Uk),
            "ur" => Ok(IsoLanguages::Ur),
            "uz" => Ok(IsoLanguages::Uz),
            "vi" => Ok(IsoLanguages::Vi),
            "vo" => Ok(IsoLanguages::Vo),
            "wa" => Ok(IsoLanguages::Wa),
            "cy" => Ok(IsoLanguages::Cy),
            "wo" => Ok(IsoLanguages::Wo),
            "xh" => Ok(IsoLanguages::Xh),
            "yi" => Ok(IsoLanguages::Yi),
            "ji" => Ok(IsoLanguages::Ji),
            "yo" => Ok(IsoLanguages::Yo),
            "zu" => Ok(IsoLanguages::Zu),
            _ => Err("aria property not implemented".to_string()),
        }
    }
}
impl IsoLanguages {
    pub fn as_str(&self) -> &str {
        match self {
            IsoLanguages::Ab => "ab",
            IsoLanguages::Aa => "aa",
            IsoLanguages::Af => "af",
            IsoLanguages::Sq => "sq",
            IsoLanguages::Am => "am",
            IsoLanguages::Ar => "ar",
            IsoLanguages::An => "an",
            IsoLanguages::Hy => "hy",
            IsoLanguages::As => "as",
            IsoLanguages::Ay => "ay",
            IsoLanguages::Az => "az",
            IsoLanguages::Ba => "ba",
            IsoLanguages::Eu => "eu",
            IsoLanguages::Bn => "bn",
            IsoLanguages::Dz => "dz",
            IsoLanguages::Bh => "bh",
            IsoLanguages::Bi => "bi",
            IsoLanguages::Br => "br",
            IsoLanguages::Bg => "bg",
            IsoLanguages::My => "my",
            IsoLanguages::Be => "be",
            IsoLanguages::Km => "km",
            IsoLanguages::Ca => "ca",
            IsoLanguages::Zh => "zh",
            IsoLanguages::ZhHans => "zh-Hans",
            IsoLanguages::ZhHant => "zh-Hant",
            IsoLanguages::Co => "co",
            IsoLanguages::Hr => "hr",
            IsoLanguages::Cs => "cs",
            IsoLanguages::Da => "da",
            IsoLanguages::Nl => "nl",
            IsoLanguages::En => "en",
            IsoLanguages::Eo => "eo",
            IsoLanguages::Et => "et",
            IsoLanguages::Fo => "fo",
            IsoLanguages::Fa => "fa",
            IsoLanguages::Fj => "fj",
            IsoLanguages::Fi => "fi",
            IsoLanguages::Fr => "fr",
            IsoLanguages::Fy => "fy",
            IsoLanguages::Gl => "gl",
            IsoLanguages::Gd => "gd",
            IsoLanguages::Gv => "gv",
            IsoLanguages::Ka => "ka",
            IsoLanguages::De => "de",
            IsoLanguages::El => "el",
            IsoLanguages::Kl => "kl",
            IsoLanguages::Gn => "gn",
            IsoLanguages::Gu => "gu",
            IsoLanguages::Ht => "ht",
            IsoLanguages::Ha => "ha",
            IsoLanguages::He => "he",
            IsoLanguages::Iw => "iw",
            IsoLanguages::Hi => "hi",
            IsoLanguages::Hu => "hu",
            IsoLanguages::Is => "is",
            IsoLanguages::Io => "io",
            IsoLanguages::Id => "id",
            IsoLanguages::In => "in",
            IsoLanguages::Ia => "ia",
            IsoLanguages::Ie => "ie",
            IsoLanguages::Iu => "iu",
            IsoLanguages::Ik => "ik",
            IsoLanguages::Ga => "ga",
            IsoLanguages::It => "it",
            IsoLanguages::Ja => "ja",
            IsoLanguages::Jv => "jv",
            IsoLanguages::Kn => "kn",
            IsoLanguages::Ks => "ks",
            IsoLanguages::Kk => "kk",
            IsoLanguages::Rw => "rw",
            IsoLanguages::Ky => "ky",
            IsoLanguages::Rn => "rn",
            IsoLanguages::Ko => "ko",
            IsoLanguages::Ku => "ku",
            IsoLanguages::Lo => "lo",
            IsoLanguages::La => "la",
            IsoLanguages::Lv => "lv",
            IsoLanguages::Li => "li",
            IsoLanguages::Ln => "ln",
            IsoLanguages::Lt => "lt",
            IsoLanguages::Mk => "mk",
            IsoLanguages::Mg => "mg",
            IsoLanguages::Ms => "ms",
            IsoLanguages::Ml => "ml",
            IsoLanguages::Mt => "mt",
            IsoLanguages::Mi => "mi",
            IsoLanguages::Mr => "mr",
            IsoLanguages::Mo => "mo",
            IsoLanguages::Mn => "mn",
            IsoLanguages::Na => "na",
            IsoLanguages::Ne => "ne",
            IsoLanguages::No => "no",
            IsoLanguages::Oc => "oc",
            IsoLanguages::Or => "or",
            IsoLanguages::Om => "om",
            IsoLanguages::Ps => "ps",
            IsoLanguages::Pl => "pl",
            IsoLanguages::Pt => "pt",
            IsoLanguages::Pa => "pa",
            IsoLanguages::Qu => "qu",
            IsoLanguages::Rm => "rm",
            IsoLanguages::Ro => "ro",
            IsoLanguages::Ru => "ru",
            IsoLanguages::Sm => "sm",
            IsoLanguages::Sg => "sg",
            IsoLanguages::Sa => "sa",
            IsoLanguages::Sr => "sr",
            IsoLanguages::Sh => "sh",
            IsoLanguages::St => "st",
            IsoLanguages::Tn => "tn",
            IsoLanguages::Sn => "sn",
            IsoLanguages::Ii => "ii",
            IsoLanguages::Sd => "sd",
            IsoLanguages::Si => "si",
            IsoLanguages::Ss => "ss",
            IsoLanguages::Sk => "sk",
            IsoLanguages::Sl => "sl",
            IsoLanguages::So => "so",
            IsoLanguages::Es => "es",
            IsoLanguages::Su => "su",
            IsoLanguages::Sw => "sw",
            IsoLanguages::Sv => "sv",
            IsoLanguages::Tl => "tl",
            IsoLanguages::Tg => "tg",
            IsoLanguages::Ta => "ta",
            IsoLanguages::Tt => "tt",
            IsoLanguages::Te => "te",
            IsoLanguages::Th => "th",
            IsoLanguages::Bo => "bo",
            IsoLanguages::Ti => "ti",
            IsoLanguages::To => "to",
            IsoLanguages::Ts => "ts",
            IsoLanguages::Tr => "tr",
            IsoLanguages::Tk => "tk",
            IsoLanguages::Tw => "tw",
            IsoLanguages::Ug => "ug",
            IsoLanguages::Uk => "uk",
            IsoLanguages::Ur => "ur",
            IsoLanguages::Uz => "uz",
            IsoLanguages::Vi => "vi",
            IsoLanguages::Vo => "vo",
            IsoLanguages::Wa => "wa",
            IsoLanguages::Cy => "cy",
            IsoLanguages::Wo => "wo",
            IsoLanguages::Xh => "xh",
            IsoLanguages::Yi => "yi",
            IsoLanguages::Ji => "ji",
            IsoLanguages::Yo => "yo",
            IsoLanguages::Zu => "zu",
        }
    }
}
